aboutsummaryrefslogtreecommitdiffstats
path: root/main/gcc/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-09-28 11:55:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-09-28 11:55:35 +0000
commit3f2e52f3c70d5d48fe46d5a163261f52bd67d437 (patch)
tree61daa4274a0319771a81030ee055a148673c7ce7 /main/gcc/APKBUILD
parent88fc2b618030ea5e180892038ed42405cdb52566 (diff)
downloadaports-3f2e52f3c70d5d48fe46d5a163261f52bd67d437.tar.gz
aports-3f2e52f3c70d5d48fe46d5a163261f52bd67d437.tar.bz2
aports-3f2e52f3c70d5d48fe46d5a163261f52bd67d437.tar.xz
main/gcc: upgrade to 4.5.1
fixes #438
Diffstat (limited to 'main/gcc/APKBUILD')
-rw-r--r--main/gcc/APKBUILD74
1 files changed, 46 insertions, 28 deletions
diff --git a/main/gcc/APKBUILD b/main/gcc/APKBUILD
index e4d64eca1b..2cd6608380 100644
--- a/main/gcc/APKBUILD
+++ b/main/gcc/APKBUILD
@@ -1,9 +1,10 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gcc
-pkgver=4.4.4
-_pv=4.4.2
-_specsver=0.1.7
-_espfver=0.3.6
+pkgver=4.5.1
+_piepatchver=0.4.5
+_specs_ver=0.2.0
+_specs_gcc_ver=4.4.3
+
_uclibc_abiver=0.9.32
if [ "$ALPINE_LIBC" = "eglibc" ]; then
_chost="i686-pc-linux-gnu"
@@ -18,40 +19,52 @@ pkgrel=5
pkgdesc="The GNU Compiler Collection"
url="http://gcc.gnu.org"
license="GPL LGPL"
-depends="binutils libgcc libgomp"
-makedepends="bison flex gmp-dev mpfr-dev texinfo"
-subpackages="$pkgname-doc libstdc++:libcxx g++:gpp libgcc libgomp objc"
+depends="binutils libgcc libgomp libobjc"
+makedepends="bison flex gmp-dev mpfr-dev texinfo libmpc-dev gawk"
+subpackages="$pkgname-doc libstdc++:libcxx g++:gpp libgcc libgomp libobjc"
source="ftp://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-core-$pkgver.tar.bz2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-g++-$pkgver.tar.bz2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-objc-$pkgver.tar.bz2
- http://build.alpinelinux.org:8010/distfiles/gcc-$_pv-espf-$_espfver.tar.bz2
- http://build.alpinelinux.org:8010/distfiles/gcc-$_pv-specs-$_specsver.tar.bz2
+ http://distfiles.gentoo.org/distfiles/gcc-$pkgver-piepatches-v${_piepatchver}.tar.bz2
+ http://distfiles.gentoo.org/distfiles/gcc-$_specs_gcc_ver-specs-$_specs_ver.tar.bz2
+
+ 09_all_gcc-4.5-Wtrampolines.patch
+ 15_all_gcc-libgomp-no-werror.patch
+ 50_all_pr45312-kernel-miscompile.patch
+ 51_all_gcc-3.4-libiberty-pic.patch
+
gcc-spec-env.patch
pt_gnu_eh_frame.patch
uclibc-getipinfo.patch
- gcc-dynamic-linker.patch
+ gcc-4.5-dynamic-linker.patch
PR32219.patch
"
-# ftp://gcc.gnu.org/pub/gcc/releases/gcc-$pkgver/gcc-objc-$pkgver.tar.bz2 1
-build ()
-{
- cd "$srcdir"/gcc-$pkgver
+_gccdir="$srcdir"/gcc-$pkgver
+prepare() {
+ cd "$_gccdir"
- # ESPF patches. we dont use objc yet
- #rm -f ../espf-gcc-$_pv/*_objc*lang-specs*.patch
+ # PIE patches from gentoo
# thanks to Zorry for hard work on those patches
- for i in ../espf-gcc-$_pv/*.patch; do
+ for i in "$srcdir"/piepatch/*.patch; do
msg "Applying $i"
patch -p0 -i $i || return 1
done
- # uclibc patches
- for i in ../*.patch; do
- msg "Applying $i"
- patch -p1 -i $i || return 1
+ # Gentoo and uclibc patches
+ for i in $source; do
+ case "$i" in
+ *.patch)
+ msg "Applying $i"
+ patch -p1 -i "$srcdir"/$i || return 1
+ ;;
+ esac
done
+ sed -i 's/use_fixproto=yes/:/' gcc/config.gcc #PR33200
+}
+build() {
+ cd "$_gccdir"
echo ${pkgver} > gcc/BASE-VER
mkdir build
cd build
@@ -126,8 +139,9 @@ gpp() {
mv "$pkgdir"/usr/bin/*++ "$subpkgdir"/usr/bin/
}
-objc() {
+libobjc() {
pkgdesc="GNU ObjectiveC library"
+ replaces="objc"
mkdir -p "$subpkgdir"/usr/lib
mv "$pkgdir"/usr/lib/*objc* "$subpkgdir"/usr/lib/
@@ -148,13 +162,17 @@ libgomp() {
mv "$pkgdir"/usr/lib/libgomp.so.* "$subpkgdir"/usr/lib/
}
-md5sums="eb68755f64b9a4e37751992abb41c4fc gcc-core-4.4.4.tar.bz2
-d51a6ec3eac1a90e7fc280d976ce7f80 gcc-g++-4.4.4.tar.bz2
-871cdd1a1ed8806a9bd5afcef0938fef gcc-objc-4.4.4.tar.bz2
-72643cf4f9751d6cbfdbce483b92461d gcc-4.4.2-espf-0.3.6.tar.bz2
-528926b586b2591474b6c2a7ef8ee6d7 gcc-4.4.2-specs-0.1.7.tar.bz2
+md5sums="dc8959e31b01a65ce10d269614815054 gcc-core-4.5.1.tar.bz2
+b294953ff0bb2f20c7acb2bf005d832a gcc-g++-4.5.1.tar.bz2
+3c11b7037896e967eddf8178af2ddd98 gcc-objc-4.5.1.tar.bz2
+1f86fe5dc7d506b7fc04fcd8b7d2693c gcc-4.5.1-piepatches-v0.4.5.tar.bz2
+441c76504e1d97170117c294e65c7a72 gcc-4.4.3-specs-0.2.0.tar.bz2
+ab090760506eb70aa4436a349c6bd788 09_all_gcc-4.5-Wtrampolines.patch
+1c00bd9d12891a3e2311b32b98deb6fa 15_all_gcc-libgomp-no-werror.patch
+01d331b786b4884b8a2663ea5f921b71 50_all_pr45312-kernel-miscompile.patch
+45951dd3bbc979c9e043c7203745cf31 51_all_gcc-3.4-libiberty-pic.patch
c4045bfa85d8be780affd465be9d8ca8 gcc-spec-env.patch
2db1e3482c5dd59dab70f701afa2ca80 pt_gnu_eh_frame.patch
6cc2385c5bbd6d0da6eaedd53c8bf547 uclibc-getipinfo.patch
-6db5c87887beee75cde3cce86625b9ed gcc-dynamic-linker.patch
+7f35da0f88f4d9c3d3839498bbda0eb3 gcc-4.5-dynamic-linker.patch
6c866c7fb8d56deb8f6d652bee64e228 PR32219.patch"